summaryrefslogtreecommitdiff
path: root/tests/lib
diff options
context:
space:
mode:
Diffstat (limited to 'tests/lib')
-rw-r--r--tests/lib13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/lib b/tests/lib
index f45dd0b..03c25ce 100644
--- a/tests/lib
+++ b/tests/lib
@@ -78,6 +78,19 @@ t-expect-push-fail () {
t-expect-fail "$mpat" "$@"
t-reporefs post-push
diff $tmp/show-refs.{pre,post}-push
+
+ eval "$t_expect_push_fail_hook"
+}
+
+t-git-objects-not-present () {
+ local gitdir="${1-$tmp/git/$p.git}"
+ local obj
+ if ! [ -e "$gitdir" ]; then return; fi
+ for obj in "$@"; do
+ GIT_DIR=$gitdir \
+ t-expect-fail 'unable to find' \
+ git cat-file -t $obj
+ done
}
t-reporefs () {